> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 短期有効トークンを生成

> 短期有効トークンを生成します（iframe シナリオ用）



## OpenAPI

````yaml /docflow-global/ja/rest-api/openapi.bundle.yaml get /api/app-api/sip/platform/v2/auth/token
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API。ファイルアップロードとファイル処理結果の取得機能を提供します。
  version: 2.8.4
  contact:
    name: TextIn
    url: https://www.textin.ai/contact?type=27&sub_type=1
servers:
  - url: https://docflow.textin.ai
security:
  - ApiId: []
    SecretCode: []
tags:
  - name: ワークスペース管理
    description: ワークスペース関連 API
  - name: ファイルカテゴリ
    description: ファイルカテゴリ関連 API
  - name: ファイルカテゴリサンプル
    description: ファイルカテゴリサンプル関連 API
  - name: スマートレビュー
    description: スマートレビュー関連 API
  - name: 廃止済み
    description: 廃止済み API
paths:
  /api/app-api/sip/platform/v2/auth/token:
    get:
      summary: 短期有効トークンを生成
      description: 短期有効トークンを生成します（iframe シナリオ用）
      operationId: authToken
      responses:
        '200':
          description: トークン情報の取得に成功
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/CodeMessage'
                  - $ref: '#/components/schemas/TokenResult'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: ステータスコード
          example: 200
        msg:
          type: string
          description: ステータス説明
      required:
        - code
        - msg
    TokenResult:
      type: object
      properties:
        result:
          type: object
          properties:
            token:
              type: string
              description: iframe シナリオで使用する有効なトークン
              example: abcd
            expiry:
              type: integer
              description: '有効期限（エポックタイムスタンプ形式、単位: 秒）'
              example: 1700000000
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````